complexType "GasDelivery"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 6 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (deliveryPoint | (entryPoint, withdrawalPoint)), deliveryType, (buyerHub, sellerHub)?
</...>

Content Model Elements (6):

  buyerHub, deliveryPoint (in deliveryConditions in gasPhysicalLeg), deliveryType (in deliveryConditions in gasPhysicalLeg), | entryPoint (in deliveryConditions in gasPhysicalLeg), sellerHub, withdrawalPoint (in deliveryConditions in gasPhysicalLeg)

All Direct / Indirect Based Elements (1):

  deliveryConditions (in gasPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in gasPhysicalLeg)

Annotation
The specification of the gas to be delivered.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="GasDelivery"> <xsd:sequence> <xsd:group ref="CommodityDeliveryPoints.model"/> <xsd:element name="deliveryType" type="DeliveryTypeEnum"/> <xsd:sequence minOccurs="0"> <xsd:element name="buyerHub" type="CommodityHub"/> <xsd:element name="sellerHub" type="CommodityHub"/> </xsd:sequence> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/6)
buyerHub

  Type: | CommodityHub, complex content

  The hub code of the gas buyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="buyerHub" type="CommodityHub"/>

deliveryType

  Type: | DeliveryTypeEnum, simple content

  Indicates whether the buyer and seller are contractually obliged to consume and supply the specified quantities of the commodity.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "Firm", "Interruptible"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryType" type="DeliveryTypeEnum"/>

sellerHub

  Type: | CommodityHub, complex content

  The hub code of the has seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="sellerHub" type="CommodityHub"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.